Page MenuHomePhabricator

Multiple authors getting split weirdly on creation of Google Books citation
Closed, InvalidPublic

Description

Putting the following link into current citoid on enwiki:
http://books.google.com/books?id=MDNdbLv8eRMC

Gets turned into:
{{Cite book|title = Come Retribution|url = http://books.google.com/books?id=MDNdbLv8eRMC|publisher = Univ. Press of Mississippi|access-date = 2015-04-08|isbn = 9781604736076|language = en|first = James O. Hall, David Winfred Gaddy, William A.|last = Tidwell}

Note the weird first/last.

Event Timeline

LuisVilla created this task.Apr 8 2015, 3:40 AM
LuisVilla raised the priority of this task from to Needs Triage.
LuisVilla updated the task description. (Show Details)
LuisVilla added a project: Citoid.
LuisVilla added a subscriber: LuisVilla.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2015, 3:40 AM
Mvolz moved this task from Backlog to Zotero on the Citoid board.Apr 8 2015, 8:50 AM
Mvolz added a subscriber: Mvolz.

Translator issue, you can file here if you'd like: https://github.com/zotero/translators/issues

Mvolz moved this task from Zotero to Site specific issues on the Citoid board.Jun 18 2015, 6:15 PM
Mvolz closed this task as Invalid.Jan 12 2016, 10:06 AM
Mvolz set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 12 2016, 10:06 AM

Rechecked, now the translator doesn't get any author at all. So... fixed? Ha. Looks like the metadata just isn't in the page there anymore.